microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
name
string
必要
The name of the resource
version
string
必要
The specific version id of the DatasetVersion to operate on.
回覆
The request has succeeded.
主體
Content-Type: application/json
blobReference
BlobReference
必要
Blob reference details.
blobUri
string
必要
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必要
ARM ID of the storage account to use.
credential
SasCredential
必要
SAS Credential definition
sasUri
string
必要
SAS uri
type
enum
必要
Type of credential
SAS
Request
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json